Test Case Results
Retrieve historical test case execution results and submit new test run outcomes with pass/fail status and metrics for data quality monitoring using the Collate REST API.
GET
GET /v1/dataQuality/testCases/testCaseResults/{fqn}
Test Case Results
Retrieve test case execution results or add new results programmatically. Each result includes a status, timestamp, and detailed result values.Get Test Case Results
string
required
Fully qualified name (FQN) returned when creating the test case. URL-encode it when necessary.
integer
Start timestamp (epoch milliseconds) to filter results.
integer
End timestamp (epoch milliseconds) to filter results.
duration, the time the run took in milliseconds, and, for a run that an error aborted, errorDetails. See Add a Test Case Result for both fields.
Add a Test Case Result
UsePOST /v1/dataQuality/testCases/testCaseResults/{fqn} to add a new test result.
string
required
Fully qualified name (FQN) returned when creating the test case. URL-encode it when necessary.
Body Parameters
integer
required
Epoch timestamp (milliseconds) of the test execution.
string
required
Status of the test execution:
Success, Failed, Aborted, or Queued.string
Human-readable summary of the test result.
array
required
Array of detailed result values produced by the test.
number
Wall-clock time that the test case run took, in milliseconds.
object
Details of the error that aborted the run. Collate shows them in the Execution error section of the Run Details card.
GET /v1/dataQuality/testCases/testCaseResults/{fqn}
Returns
Get results returns a list of test case result objects for the requested FQN and time range. Add result returns the test case result object that was created.Response
array
Array of test case result objects.
object
Pagination information.